summaryrefslogtreecommitdiff
path: root/qa/702
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/702
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/702')
-rwxr-xr-xqa/70220
1 files changed, 20 insertions, 0 deletions
diff --git a/qa/702 b/qa/702
new file mode 100755
index 0000000..25ab811
--- /dev/null
+++ b/qa/702
@@ -0,0 +1,20 @@
+#!/bin/sh
+# PCP QA Test No. 702
+# Exercise python PMAPI layer - basic live host tests
+#
+# Copyright (c) 2012-2014 Red Hat.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+. ./common.python
+status=1 # failure is the default!
+$sudo rm -f $tmp.* $seq.full
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+python $here/src/test_pcp.python >$seq.full 2>&1
+_check_unittest live $seq.full
+status=$?
+exit